ChangeSet 1.1254.4.30, 2003/06/04 12:32:55-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/message/i2o/i2o_core.c


 drivers/message/i2o/i2o_core.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/message/i2o/i2o_core.c b/drivers/message/i2o/i2o_core.c
--- a/drivers/message/i2o/i2o_core.c	Wed Jun  4 18:09:55 2003
+++ b/drivers/message/i2o/i2o_core.c	Wed Jun  4 18:09:55 2003
@@ -3639,12 +3639,12 @@
  
 int __init i2o_pci_scan(void)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	int count=0;
 	
 	printk(KERN_INFO "i2o: Checking for PCI I2O controllers...\n");
 
-	pci_for_each_dev(dev)	
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL)
 	{
 		if((dev->class>>8)!=PCI_CLASS_INTELLIGENT_I2O)
 			continue;
